Got the answer from GTAC. There's a toggle in the dialog for "Show Ends". If that's on, you have the option to double click an endpoint to keep it constrained or not.
In NX 7.5 when you did an Offset Curve command in sketcher, it created an offset dimension (if you had the toggle turned on) and two offset constraints for the endpoints. If I wanted to move the endpoints but keep the offset, I'd just delete the corresponding offset dimension on the endpoint and...
Right. I should have been more specific. I tried recording a test journal to see what's going on with NXOpen and it doesn't give anything. I wasn't sure if there was a method in the Options class or something. The goal is to set the selection priority within the journal instead of making the...
Just found THIS from Baker that uses keyboard shortcuts to set the top selection priority in the session. Any ideas what that's doing behind the scenes?
I'm revisiting this some today. I guess what I really want to do is filter out any solid body that's part of a component. That way I can either select entire components, or solid bodies within that part file.
Right, that's pretty much what I did. The default selection priority outside of the journal is components first. If I only use one mask, it gets components. If I add the solid mask it then prioritizes that, even though the default outside of the journal is component.
Is there a standard NX...
That works great, thanks. But what if I still want to be able to select solid bodies, if I'm in a part file for example. I tried adding another array item with UF_solid_type and tried it in both the 0 and 1 position and it always seemed to override the UF_component_type.
I'm creating a journal using basic selection, and using this as a guide. I'm running into a sort of strange issue.
Using normal selection in NX, with no selection filters, the priority starts with components. I click on a body in an assembly, and the component is what's selected. But when I run...
Ahh there it goes. I was trying to apply it to an array of DisplayableObject objects and it recognizing System.Array as the superclass. I just had to apply it to each object in the array via a For loop.
Thanks much.
That's a start. The object types I'm working with are from the DisplayableObject class which doesn't have that method though. NX doesn't like casting a DisplayableObject or a Component to a Body either.
I'm writing a journal that applies a transparency to already selected solids. Once I run the journal though, I want to deselect the bodies. The only thing I've been able find is theUI.SelectionManager.RemoveAllFromSelectionList, which requires a SelectionHandle as one of the parameters. I can't...
So I'm doing
Dim selectedFeature As Features.Feature = CType(selected, Features.Feature)
Dim selectedEntities As NXObject() = selectedFeature.GetEntities
Dim selectedFace As Object = selectedEntities.GetValue(0)
Dim selectedBody As Body = selectedFace.GetBody
But I get an error when running...
Thanks. I'll give that a try tomorrow. It's nice coding in Visual Studio with the NXOpen references added.
The way the journal is going to work is that if there is no selection at runtime, it'll prompt for a selection and filter it to bodies or components. If there is already a selection, and...
I'm trying to write a journal that let's me select a feature and grab the body associated with that feature so I can do a DisplayModification to it. I tried to record a journal to see how NX does it when you press CTRL + J with a feature selected, but uses sticky references and I can't figure...